org.apache.mina.core.session

## Class DummySession

- java.lang.Object
- - org.apache.mina.core.session.AbstractIoSession
  - - org.apache.mina.core.session.DummySession

- All Implemented Interfaces:
    IoSession
  Direct Known Subclasses:
    ProtocolCodecSession

      public class DummySession
      extends AbstractIoSession

  A dummy `IoSession` for unit-testing or non-network-use of the classes that depends on `IoSession`.

  ## Overriding I/O request methods

  All I/O request methods (i.e. `AbstractIoSession.close()`, `AbstractIoSession.write(Object)` and `#setTrafficMask(TrafficMask)`) are final and therefore cannot be overridden, but you can always add your custom `IoFilter` to the `IoFilterChain` to intercept any I/O events and requests.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummySession()` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IoSessionConfig` | `getConfig()`
    `IoFilterChain` | `getFilterChain()`
    `IoHandler` | `getHandler()`
    `SocketAddress` | `getLocalAddress()` Returns the socket address of local machine which is associated with this session.
    `IoProcessor<AbstractIoSession>` | `getProcessor()`
    `SocketAddress` | `getRemoteAddress()` Returns the socket address of remote peer.
    `IoService` | `getService()`
    `TransportMetadata` | `getTransportMetadata()`
    `void` | `setConfig(IoSessionConfig config)` Sets the configuration of this session.
    `void` | `setHandler(IoHandler handler)` Sets the `IoHandler` which handles this session.
    `void` | `setLocalAddress(SocketAddress localAddress)` Sets the socket address of local machine which is associated with this session.
    `void` | `setRemoteAddress(SocketAddress remoteAddress)` Sets the socket address of remote peer.
    `void` | `setScheduledWriteBytes(int byteCount)` TODO Add method documentation
    `void` | `setScheduledWriteMessages(int messages)` TODO Add method documentation
    `void` | `setService(IoService service)` Sets the `IoService` which provides I/O service to this session.
    `void` | `setTransportMetadata(TransportMetadata transportMetadata)` Sets the `TransportMetadata` that this session runs on.
    `void` | `updateThroughput(boolean force)` Update all statistical properties related with throughput.

    - ### Methods inherited from class org.apache.mina.core.session.AbstractIoSession

      `close, close, containsAttribute, decreaseReadBufferSize, decreaseScheduledBytesAndMessages, equals, getAttachment, getAttribute, getAttribute, getAttributeKeys, getAttributeMap, getBothIdleCount, getCloseFuture, getCreationTime, getCurrentWriteMessage, getCurrentWriteRequest, getId, getIdleCount, getLastBothIdleTime, getLastIdleTime, getLastIoTime, getLastReaderIdleTime, getLastReadTime, getLastWriterIdleTime, getLastWriteTime, getReadBytes, getReadBytesThroughput, getReaderIdleCount, getReadMessages, getReadMessagesThroughput, getScheduledWriteBytes, getScheduledWriteMessages, getServiceAddress, getWriteRequestQueue, getWriterIdleCount, getWrittenBytes, getWrittenBytesThroughput, getWrittenMessages, getWrittenMessagesThroughput, hashCode, increaseIdleCount, increaseReadBufferSize, increaseReadBytes, increaseReadMessages, increaseScheduledWriteBytes, increaseScheduledWriteMessages, increaseWrittenBytes, increaseWrittenMessages, isBothIdle, isClosing, isConnected, isIdle, isReaderIdle, isReadSuspended, isScheduledForFlush, isWriterIdle, isWriteSuspended, notifyIdleness, notifyIdleSession, offerClosedReadFuture, offerFailedReadFuture, offerReadFuture, read, removeAttribute, removeAttribute, replaceAttribute, resumeRead, resumeWrite, scheduledForFlush, setAttachment, setAttribute, setAttribute, setAttributeIfAbsent, setAttributeIfAbsent, setAttributeMap, setCurrentWriteRequest, setScheduledForFlush, setWriteRequestQueue, suspendRead, suspendWrite, toString, unscheduledForFlush, updateThroughput, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DummySession

          public DummySession()

      Creates a new instance.

  - ### Method Detail

    - #### getConfig

          public IoSessionConfig getConfig()

      Description copied from class: `AbstractIoSession`
      Specified by:
        `getConfig` in interface `IoSession`
      Overrides:
        `getConfig` in class `AbstractIoSession`
      Returns:
        the configuration of this session.

    - #### setConfig

          public void setConfig(IoSessionConfig config)

      Sets the configuration of this session.

    - #### getFilterChain

          public IoFilterChain getFilterChain()

      Returns:
        the filter chain that only affects this session.

    - #### getHandler

          public IoHandler getHandler()

      Description copied from class: `AbstractIoSession`
      Specified by:
        `getHandler` in interface `IoSession`
      Overrides:
        `getHandler` in class `AbstractIoSession`
      Returns:
        the `IoHandler` which handles this session.

    - #### setHandler

          public void setHandler(IoHandler handler)

      Sets the `IoHandler` which handles this session.

    - #### getLocalAddress

          public SocketAddress getLocalAddress()

      Description copied from interface: `IoSession`
      Returns the socket address of local machine which is associated with this session.

    - #### getRemoteAddress

          public SocketAddress getRemoteAddress()

      Description copied from interface: `IoSession`
      Returns the socket address of remote peer.

    - #### setLocalAddress

          public void setLocalAddress(SocketAddress localAddress)

      Sets the socket address of local machine which is associated with this session.

    - #### setRemoteAddress

          public void setRemoteAddress(SocketAddress remoteAddress)

      Sets the socket address of remote peer.

    - #### getService

          public IoService getService()

      Description copied from class: `AbstractIoSession`
      Specified by:
        `getService` in interface `IoSession`
      Overrides:
        `getService` in class `AbstractIoSession`
      Returns:
        the `IoService` which provides I/O service to this session.

    - #### setService

          public void setService(IoService service)

      Sets the `IoService` which provides I/O service to this session.

    - #### getProcessor

          public final IoProcessor<AbstractIoSession> getProcessor()

      Specified by:
        `getProcessor` in class `AbstractIoSession`
      Returns:
        The associated IoProcessor for this session

    - #### getTransportMetadata

          public TransportMetadata getTransportMetadata()

      Returns:
        the `TransportMetadata` that this session runs on.

    - #### setTransportMetadata

          public void setTransportMetadata(TransportMetadata transportMetadata)

      Sets the `TransportMetadata` that this session runs on.

    - #### setScheduledWriteBytes

          public void setScheduledWriteBytes(int byteCount)

      Description copied from class: `AbstractIoSession`
      TODO Add method documentation
      Overrides:
        `setScheduledWriteBytes` in class `AbstractIoSession`

    - #### setScheduledWriteMessages

          public void setScheduledWriteMessages(int messages)

      Description copied from class: `AbstractIoSession`
      TODO Add method documentation
      Overrides:
        `setScheduledWriteMessages` in class `AbstractIoSession`

    - #### updateThroughput

          public void updateThroughput(boolean force)

      Update all statistical properties related with throughput. By default this method returns silently without updating the throughput properties if they were calculated already within last `calculation interval`. If, however, `force` is specified as `true`, this method updates the throughput properties immediately.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.